Package twisted :: Package trial :: Module unittest

[show private | hide private]
[frames | no frames]

## Module twisted.trial.unittest

Twisted Test Framework

Classes
`MinimalReporter` |
`Reporter` |
`TestCase` |
`TestSuite` |
`TextReporter` |
`TreeReporter` |
`VerboseTextReporter` |

Exceptions
`FailTest` | Raised to indicate the current test has failed to pass.
`SkipTest` |

Function Summary
| ``deferredError`(d, timeout)` Waits for deferred to fail, and it returns the Failure.
| ``deferredResult`(d, timeout)` Waits for a Deferred to arrive, then returns or throws an exception, based on the result.
| ``extract_tb`(tb, limit)` Extract a list of frames from a traceback, without unittest internals.
| ``format_exception`(eType, eValue, tb, limit)` A formatted traceback and exception, without exposing the framework.
| `isTestCase(testCase)`
| `isTestClass(testClass)`
| `_getDeferredResult(d, timeout)`

Variable Summary
`int` | `ASSERTION_IS_ERROR`
`list` | `_failureConditionals`

Function Details

### deferredError(d, timeout=None)

Waits for deferred to fail, and it returns the Failure.

If the deferred succeeds, raises FailTest.

### deferredResult(d, timeout=None)

Waits for a Deferred to arrive, then returns or throws an exception, based on the result.

### extract_tb(tb, limit=None)

Extract a list of frames from a traceback, without unittest internals.

Functionally identical to `traceback.extract_tb`, but cropped to just the test case itself, excluding frames that are part of the Trial testing framework.

### format_exception(eType, eValue, tb, limit=None)

A formatted traceback and exception, without exposing the framework.

I am identical in function to `traceback.format_exception`, but I screen out frames from the traceback that are part of the testing framework itself, leaving only the code being tested.

Variable Details

### ASSERTION_IS_ERROR

  Type:
    `int`
  Value:

        0

### _failureConditionals

  Type:
    `list`
  Value:

        ['fail',
         'failIf',
         'failUnless',
         'failUnlessRaises',
         'failUnlessEqual',
         'failIfEqual',
         'assertApproximates']

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net